[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TGraphicControl.Paint

Implements the default handler used to draw the control.

## Declaration

Source position: controls.pp line 2454

`protected procedure TGraphicControl.Paint; virtual;`

## Description

Paint is a method which causes the control to be drawn using the drawing mechanism for the control. In TGraphicControl, like TCustomControl, the OnPaint event handler is used (when assigned). Assign a routine to the OnPaint handler to perform the drawing operations needed for the control.

## See also

TGraphicControl.OnPaint |  | Event handler signalled to paint the control.